<!doctype html>
<html>
<head>
    <title>Tor at the Heart: OONI Highlights from 2016 | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor at the Heart: OONI Highlights from 2016 | Tor Project">
    <meta property="og:description" content="During the month of December, we&#39;re highlighting other organizations and projects that rely on...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-heart-ooni-highlights-2016/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor at the Heart: OONI Highlights from 2016
      </h1>
    <p class="meta">by agrabeli | December 22, 2016</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p><i>During the month of December, we're highlighting other organizations and projects that rely on Tor, build on Tor, or are accomplishing their missions better because Tor exists. Check out our blog each day to learn about our fellow travelers. And please support the Tor Project! We're at the heart of Internet freedom.</i><br />
<a href="https://torproject.org/donate/donate-blog22" rel="nofollow">Donate today!</a></p>

<p><i>In this post we provide some highlights from <a href="https://ooni.torproject.org" rel="nofollow">OONI</a>, a project under The Tor Project.</i></p>

<p><a href="https://ooni.torproject.org" rel="nofollow"><br />
<img src="https://extra.torproject.org/blog/2016-12-22-tor-heart-ooni-highlights-2016/ooni-logo-600px.png" width="200px" /><br />
</a></p>

<p>The <a href="https://ooni.torproject.org" rel="nofollow">Open Observatory of Network Interference (OONI)</a> is a free software project under The Tor Project that aims to uncover internet censorship around the world. Recently we published an overview of OONI which can be found <a href="https://blog.torproject.org/blog/tor-heart-ooni-project" rel="nofollow">here</a>.</p>

<p>Today we are providing some OONI highlights from 2016. These include our research findings in collaboration with our partners, and the new features we have developed and released to meet our users’ needs.</p>

<h1>Research findings</h1>

<p>As part of the <a href="https://ooni.torproject.org/get-involved/partnership-program/" rel="nofollow">OONI Partnership Program</a> we collaborate with various local and international non-profit organizations around the world on the study of internet censorship. Below we provide some highlights from our research findings this year.</p>

<h2>Censorship during elections</h2>

<ul>
<li><strong>Uganda: Facebook and Twitter blocked during 2016 general elections.</strong> In collaboration with <a href="https://www.defenddefenders.org/" rel="nofollow">DefendDefenders</a> we examined the blocking of social media in Uganda during its 2016 general elections and when the country’s President was inaugurated. View our findings <a href="https://ooni.torproject.org/post/uganda-social-media-blocked/" rel="nofollow">here</a>.</li>
<li><strong>Zambia: Internet censorship events during 2016 general elections.</strong> OONI monitored internet censorship events during Zambia’s 2016 general election period in collaboration with Strathmore University’s <a href="http://cipit.org/" rel="nofollow">Centre for Intellectual Property and Information Technology Law (CIPIT)</a>. A full report of our study can be found <a href="https://ooni.torproject.org/post/zambia-election-monitoring/" rel="nofollow">here</a>.</li>
<li><strong>The Gambia: Internet shutdown during 2016 presidential election.</strong> We attempted to examine whether websites were blocked during the Gambia’s 2016 presidential election. Instead, we came across a country-wide internet blackout. View our findings <a href="https://ooni.torproject.org/post/gambia-internet-shutdown/" rel="nofollow">here</a>.</li>
<li><strong>Venezuela: Blocking of sites during elections.</strong> <a href="http://ipysvenezuela.org/" rel="nofollow">IPYS</a> conducted a study of internet censorship in Venezuela through the use of ooniprobe. Their full report can be found <a href="http://ipysvenezuela.org/navegarconlibertad/" rel="nofollow">here</a>.</li>
</ul>

<h2>Censorship during other political events</h2>

<ul>
<li><strong>Ethiopia: Deep Packet Inspection (DPI) technology used to block media websites during major political protests.</strong> OONI joined forces with <a href="https://www.amnesty.org/en/" rel="nofollow">Amnesty International</a> to examine internet censorship events during Ethiopia’s wave of protests. We not only detected DPI filtering technology, but we also found numerous sites - including news outlets, torproject.org, LGBTI and human rights sites - to be tampered with. Now Ethiopia is in a state of emergency. Our report can be found <a href="https://ooni.torproject.org/post/ethiopia-report/" rel="nofollow">here</a>.
</li>
<li><strong>Turkey: Internet access disruptions during attempted military coup.</strong> In collaboration with <a href="https://atlas.ripe.net/" rel="nofollow">RIPE Atlas</a> we examined the throttling of social media in Turkey during the attempted military coup in July. View the findings <a href="https://ooni.torproject.org/post/turkey-internet-access-disruption/" rel="nofollow">here</a>.</li>
<li><strong>Ethiopia: Internet shutdown amidst political protests.</strong> Ethiopia’s government pulled the plug on the internet in the middle of heavy protests in August. We examined the internet shutdown in collaboration with Strathmore University’s <a href="http://cipit.org/" rel="nofollow">Centre for Intellectual Property and Information Technology Law (CIPIT)</a> and published our findings <a href="https://ooni.torproject.org/post/ethiopia-internet-shutdown-amidst-recent-protests/" rel="nofollow">here</a>.</li>
</ul>

<h2>Tor blocking</h2>

<ul>
<li><strong>Egypt: Tor interference.</strong> Our community informed us that certain services were inaccessible in Egypt. We investigated the issue and also found Tor to be tampered with. View our findings <a href="https://ooni.torproject.org/post/egypt-network-interference/" rel="nofollow">here</a>.</li>
<li><strong>Belarus: Tor block.</strong> An anonymous cypherpunk helped us collect evidence of Tor blocking in Belarus. View the data <a href="https://ooni.torproject.org/post/belarus-fries-onion/" rel="nofollow">here</a>.</li>
</ul>

<h2>WhatsApp blocking and DNS censorship</h2>

<ul>
<li><strong>Brazil: Blocking of WhatsApp.</strong> Thanks to <a href="https://www.codingrights.org/" rel="nofollow">Coding Rights</a> who ran our newly developed <a href="https://github.com/TheTorProject/ooni-spec/blob/master/test-specs/ts-018-whatsapp.md" rel="nofollow">WhatsApp test</a>, we were able to detect and collect evidence of the blocking of WhatsApp in Brazil earlier this year. View the data <a href="https://ooni.torproject.org/post/brazil-whatsapp-block/" rel="nofollow">here</a>.</li>
<li><strong>Malaysia: DNS blocking of news outlets, medium.com, and sites expressing political criticism.</strong> Following the <a href="http://www.wsj.com/specialcoverage/malaysia-controversy" rel="nofollow">1MDB scandal</a>, various news outlets were reportedly <a href="http://www.bbc.com/news/world-asia-33447456" rel="nofollow">blocked</a> in Malaysia. OONI joined forces with <a href="http://sinarproject.org/en" rel="nofollow">Sinar Project</a> to examine and collect evidence of internet censorship events in Malaysia. Our report can be found <a href="https://ooni.torproject.org/post/malaysia-report/" rel="nofollow">here</a>.</li>
</ul>

<h1>New releases</h1>

<p>If you’ve known OONI for a while, you might be more familiar with <a href="https://github.com/TheTorProject/ooni-probe" rel="nofollow">ooniprobe</a> as a command line tool. To meet our users’ needs, we developed a variety of features this year, including the following:</p>

<ul>
<li><a href="https://explorer.ooni.torproject.org/world/" rel="nofollow"><strong>OONI Explorer</strong></a>: A global map to explore and interact with all of the network measurements that OONI has collected from 2012 to date.</li>
<li><a href="http://alpha.measurements.ooni.io/" rel="nofollow"><strong>Measurement API</strong></a>: Explore and analyze OONI’s data via its new API.</li>
<li><a href="https://ooni.torproject.org/post/web-ui-post/" rel="nofollow"><strong>OONI web UI</strong></a>: Run censorship tests from your web browser!</li>
<li><a href="https://ooni.torproject.org/post/whatsapp-and-facebook-tests/" rel="nofollow"><strong>WhatsApp &amp; Facebook Messenger tests</strong></a>: Examine the reachability of WhatsApp and Facebook Messenger with OONI’s new tests!</li>
<li><a href="https://ooni.torproject.org/post/web-connectivity/" rel="nofollow"><strong>Web Connectivity test</strong></a>: Examine DNS, TCP/IP, HTTP blocking of sites all in one test!</li>
<li><a href="https://ooni.torproject.org/install/lepidopter/" rel="nofollow"><strong>Lepidopter</strong></a>: Run ooniprobe from a Raspberry Pi!</li>
<li><strong>OONI mobile</strong>: We have developed the beta version of ooniprobe for Android and iOS. Look out for ooniprobe’s mobile app in early 2017!</li>
</ul>

<p>Over the last year, many non-profit organizations around the world have started running <a href="https://github.com/TheTorProject/ooni-probe" rel="nofollow">ooniprobe</a> daily. The graph below illustrates the expansion of ooniprobe’s global coverage thanks to our users.</p>

<p><img src="https://extra.torproject.org/blog/2016-12-22-tor-heart-ooni-highlights-2016/ooni-asns-by-month-2016-12.png" width="400px" /></p>

<p>By supporting Tor, you’re also supporting the OONI project. Help us continue to increase transparency around internet censorship by <a href="https://torproject.org/donate/donate-blog22" rel="nofollow">donating to The Tor Project</a>.</p>

<p><i>Written by Maria Xynou, OONI’s Research and Partnerships Coordinator</i>.</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/circumvention">
          circumvention
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-227414"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-227414" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 22, 2016</p>
    </div>
    <a href="#comment-227414">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-227414" class="permalink" rel="bookmark">This may be not a proper</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This may be not a proper place to complain, however:</p>
<p>I found that tor messenger keys are a mess. In total there are 3 keys:</p>
<p><div class="geshifilter"><pre class="php geshifilter-php" style="font-family:monospace;"><ol><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">pub   4096R<span style="color: #339933;">/</span>6DA77FAA <span style="color: #cc66cc;">2016</span><span style="color: #339933;">-</span><span style="color: #208080;">02</span><span style="color: #339933;">-</span><span style="color: #cc66cc;">25</span> <span style="color: #009900;">&#91;</span>expires<span style="color: #339933;">:</span> <span style="color: #cc66cc;">2020</span><span style="color: #339933;">-</span><span style="color: #208080;">02</span><span style="color: #339933;">-</span><span style="color: #cc66cc;">24</span><span style="color: #009900;">&#93;</span><span style="color: #339933;">&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">      <a href="http://www.php.net/key"><span style="color: #990000;">Key</span></a> fingerprint <span style="color: #339933;">=</span> E4AC D397 <span style="color: #cc66cc;">5427</span> A5BA <span style="color: #cc66cc;">8450</span>  A1BE B01C 8B00 6DA7 7FAA<span style="color: #339933;">&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">uid                  Sukhbir Singh <span style="color: #339933;">&lt;&lt;</span>a href<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;mailto:azadi@riseup.net&quot;</span> rel<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;nofollow&quot;</span><span style="color: #339933;">&gt;</span>azadi<span style="color: #339933;">@</span>riseup<span style="color: #339933;">.</span>net<span style="color: #339933;">&lt;/</span>a<span style="color: #339933;">&gt;&gt;&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">uid                  Sukhbir Singh <span style="color: #339933;">&lt;&lt;</span>a href<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;mailto:sukhbir@torproject.org&quot;</span> rel<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;nofollow&quot;</span><span style="color: #339933;">&gt;</span>sukhbir<span style="color: #339933;">@</span>torproject<span style="color: #339933;">.</span>org<span style="color: #339933;">&lt;/</span>a<span style="color: #339933;">&gt;&gt;&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">sub   4096R<span style="color: #339933;">/</span>3D9F9289 <span style="color: #cc66cc;">2016</span><span style="color: #339933;">-</span><span style="color: #208080;">02</span><span style="color: #339933;">-</span><span style="color: #cc66cc;">25</span> <span style="color: #009900;">&#91;</span>expires<span style="color: #339933;">:</span> <span style="color: #cc66cc;">2020</span><span style="color: #339933;">-</span><span style="color: #208080;">02</span><span style="color: #339933;">-</span><span style="color: #cc66cc;">24</span><span style="color: #009900;">&#93;</span><span style="color: #339933;">&lt;/</span>p<span style="color: #339933;">&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal"><span style="color: #339933;">&lt;</span>p<span style="color: #339933;">&gt;</span>pub   4096R<span style="color: #339933;">/</span>B297B391 <span style="color: #cc66cc;">2014</span><span style="color: #339933;">-</span><span style="color: #208080;">06</span><span style="color: #339933;">-</span><span style="color: #cc66cc;">16</span> <span style="color: #009900;">&#91;</span>revoked<span style="color: #339933;">:</span> <span style="color: #cc66cc;">2016</span><span style="color: #339933;">-</span><span style="color:#800080;">08</span><span style="color: #339933;">-</span><span style="color: #cc66cc;">16</span><span style="color: #009900;">&#93;</span><span style="color: #339933;">&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">      <a href="http://www.php.net/key"><span style="color: #990000;">Key</span></a> fingerprint <span style="color: #339933;">=</span> 42D8 015E <span style="color: #cc66cc;">3553</span> C7CF C580  629C 31D6 <span style="color:#800080;">00E1</span> B297 B391<span style="color: #339933;">&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">uid                  Sukhbir Singh <span style="color: #339933;">&lt;&lt;</span>a href<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;mailto:sukhbir.in@gmail.com&quot;</span> rel<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;nofollow&quot;</span><span style="color: #339933;">&gt;</span>sukhbir<span style="color: #339933;">.</span>in<span style="color: #339933;">@</span>gmail<span style="color: #339933;">.</span>com<span style="color: #339933;">&lt;/</span>a<span style="color: #339933;">&gt;&gt;&lt;/</span>p<span style="color: #339933;">&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal"><span style="color: #339933;">&lt;</span>p<span style="color: #339933;">&gt;</span>pub   4096R<span style="color: #339933;">/</span>B297B391 <span style="color: #cc66cc;">2011</span><span style="color: #339933;">-</span><span style="color: #208080;">06</span><span style="color: #339933;">-</span><span style="color: #208080;">06</span> <span style="color: #009900;">&#91;</span>expired<span style="color: #339933;">:</span> <span style="color: #cc66cc;">2016</span><span style="color: #339933;">-</span><span style="color: #208080;">06</span><span style="color: #339933;">-</span><span style="color: #208080;">04</span><span style="color: #009900;">&#93;</span><span style="color: #339933;">&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">      <a href="http://www.php.net/key"><span style="color: #990000;">Key</span></a> fingerprint <span style="color: #339933;">=</span> 3A0B 3D84 <span style="color: #cc66cc;">3708</span> <span style="color: #cc66cc;">9613</span> 6B84  <span style="color:#800080;">5E82</span> <span style="color: #cc66cc;">6887</span> 935A B297 B391<span style="color: #339933;">&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">uid                  Sukhbir Singh <span style="color: #339933;">&lt;&lt;</span>a href<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;mailto:sukhbir.in@gmail.com&quot;</span> rel<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;nofollow&quot;</span><span style="color: #339933;">&gt;</span>sukhbir<span style="color: #339933;">.</span>in<span style="color: #339933;">@</span>gmail<span style="color: #339933;">.</span>com<span style="color: #339933;">&lt;/</span>a<span style="color: #339933;">&gt;&gt;&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">uid                  Sukhbir Singh <span style="color: #339933;">&lt;&lt;</span>a href<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;mailto:azadi@debian.org&quot;</span> rel<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;nofollow&quot;</span><span style="color: #339933;">&gt;</span>azadi<span style="color: #339933;">@</span>debian<span style="color: #339933;">.</span>org<span style="color: #339933;">&lt;/</span>a<span style="color: #339933;">&gt;&gt;&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">uid                  Sukhbir Singh <span style="color: #339933;">&lt;&lt;</span>a href<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;mailto:azadi@riseup.net&quot;</span> rel<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;nofollow&quot;</span><span style="color: #339933;">&gt;</span>azadi<span style="color: #339933;">@</span>riseup<span style="color: #339933;">.</span>net<span style="color: #339933;">&lt;/</span>a<span style="color: #339933;">&gt;&gt;&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">uid                  Sukhbir Singh <span style="color: #339933;">&lt;&lt;</span>a href<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;mailto:s3singh@uwaterloo.ca&quot;</span> rel<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;nofollow&quot;</span><span style="color: #339933;">&gt;</span>s3singh<span style="color: #339933;">@</span>uwaterloo<span style="color: #339933;">.</span>ca<span style="color: #339933;">&lt;/</span>a<span style="color: #339933;">&gt;&gt;&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">uid                  Sukhbir Singh <span style="color: #339933;">&lt;&lt;</span>a href<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;mailto:sukhbir@torproject.org&quot;</span> rel<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;nofollow&quot;</span><span style="color: #339933;">&gt;</span>sukhbir<span style="color: #339933;">@</span>torproject<span style="color: #339933;">.</span>org<span style="color: #339933;">&lt;/</span>a<span style="color: #339933;">&gt;&gt;&lt;</span>br <span style="color: #339933;">/&gt;</span></div></li><li style="font-family: monospace; font-weight: normal;"><div style="font-family: monospace; font-weight: normal; font-style: normal">uid                  Sukhbir Singh <span style="color: #339933;">&lt;&lt;</span>a href<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;mailto:sukhbir.singh@uwaterloo.ca&quot;</span> rel<span style="color: #339933;">=</span><span style="color: #0000ff;">&quot;nofollow&quot;</span><span style="color: #339933;">&gt;</span>sukhbir<span style="color: #339933;">.</span>singh<span style="color: #339933;">@</span>uwaterloo<span style="color: #339933;">.</span>ca<span style="color: #339933;">&lt;/</span>a<span style="color: #339933;">&gt;&gt;</span></div></li></ol></pre></div></p>
<p>I think that one of the keys are fake. It's interesting that it has the same short keyid as another key (B297B391), which was old tor messenger key. It's also frustrating that Sukhbir didn't sign his new key by his old one. I failed to find any discussion in tor mailing list concerning key change or fake key. Roger signed previous key of Sukhbir, but not current one. Despite all current keys are listed in tor project site, I wonder why old expired/revoked valid PGP keys are not listed there too. From historical perspective it's good to know which key was in some time valid and used to sign code.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-227430"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-227430" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 22, 2016</p>
    </div>
    <a href="#comment-227430">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-227430" class="permalink" rel="bookmark">Using OONI&#039;s map one can see</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Using OONI's map one can see that many exit relays happen in countries that did make censorship (France, Russia, ...) ... very depressing...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-228249"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-228249" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 24, 2016</p>
    </div>
    <a href="#comment-228249">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-228249" class="permalink" rel="bookmark">What&#039;s exiting is that now</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What's exiting is that now we can know by ourselves what kind of censorship<br />
is happening and when.</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
